Skip to main content
POST
/
v2
/
flowControl
/
{flowControlKey}
/
resetRate
Reset Rate for Flow Control Key
curl --request POST \
  --url https://qstash.upstash.io/v2/flowControl/{flowControlKey}/resetRate \
  --header 'Authorization: Bearer <token>'
{
  "error": "<string>"
}
Rate configuration limits the number of messages delivered within a given time period for messages sharing the same flow-control key. When the rate limit is reached, subsequent messages with the same flow-control key are placed in the waitlist and are not delivered until the next time period begins. In some situations, you may want to immediately resume message delivery without waiting for the current period to expire. Resetting the rate configuration clears the current rate count and immediately ends the current period. After the reset, the current timestamp becomes the start of the new rate period.

Authorizations

Authorization
string
header
required

QStash authentication token

Path Parameters

flowControlKey
string
required

The flow-control key for which the rate state will be reset.

Response

The rate state for the flow-control key has been reset.